<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8"/>
	<meta type="Content-type" content="text/html;charset=UTF-8" />
	<title>数组和字符串</title>
	<style type="text/css"></style>
</head>
<body>
	<script type="text/javascript">
		//在一个字符串中查找字符的个数区分大小写
		function findStr(str,value){
			var n=0;
			var index=-1;
			do{
				index=str.indexOf(value,index+1);
				if(index !=-1){
					console.log(index);
				}
				n++
			}while (index!=-1);
			document.write("某个字符的个数不区分大小写："+(n-1));
		};
		//在一个字符串中查找字符的个数不区分大小写
		function findChar(str,value){
			document.write("某个字符的个数不区分大小写："+str.match(regExp).length);
		};
		//查找字符串中的字符个数；
		function sumChar(str){
			var n=1;
			str=str.toLowerCase();
			var arr=str.split('');
			for(let i=0;i<arr.length;i++){
				for(let j=i+1;j<arr.length;j++){
					if(arr[i]==arr[j]){
						arr.splice(j,1)
						j--;
					}
				}
			}
			document.write("字符数量："+arr.length);
		};
		var str="aaabddcdedddddddddefvefg";
		var regExp=/a/gi;
		findStr(str,'a');
		findChar(str,regExp);
		sumChar(str);
	</script>
</body>
</html>